@yarik310501

Почему не выполняется команда save() в Django?

Изучаю фреймворк Django по курсу https://webformyself.com/djang... ign=django, всё шло отлично, пока не дошел до 1 части, 9 урока.

При попытке сохранить записи в базу данных через переменную news1.save() , выходит ошибка:

Ошибка
>>> news1.save()
Traceback (most recent call last):
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 84, in _execute
return self.cursor.execute(sql, params)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\sqlite3\base.py", line 413, in exec
ute
return Database.Cursor.execute(self, query, params)
sqlite3.OperationalError: table news_news has no column named updated_at

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "", line 1, in
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\base.py", line 753, in save
self.save_base(using=using, force_insert=force_insert,
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\base.py", line 790, in save_base
updated = self._save_table(
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\base.py", line 895, in _save_table
results = self._do_insert(cls._base_manager, using, fields, returning_fields, raw)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\base.py", line 933, in _do_insert
return manager._insert(
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\manager.py", line 85, in manager_meth
od
return getattr(self.get_queryset(), name)(*args, **kwargs)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\query.py", line 1254, in _insert
return query.get_compiler(using=using).execute_sql(returning_fields )
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\sql\compiler.py", line 1397, in execu
te_sql
cursor.execute(sql, params)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 98, in execute
return super().execute(sql, params)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 66, in execute
return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 75, in _execute_wit
h_wrappers
return executor(sql, params, many, context)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 84, in _execute
return self.cursor.execute(sql, params)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\utils.py", line 90, in __exit__
raise dj_exc_value.with_traceback(traceback) from exc_value
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 84, in _execute
return self.cursor.execute(sql, params)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\sqlite3\base.py", line 413, in exec
ute
return Database.Cursor.execute(self, query, params)
django.db.utils.OperationalError: table news_news has no column named updated_at
5f8c9f05ac67e427929945.png5f8c9f174c1e4722561199.png

Я уже 3 раза начинал весь курс сначала, перерыл весь интернет, но так и не смог найти решение.

Помогите пожалуйста!
  • Вопрос задан
  • 42 просмотра
Пригласить эксперта
Ответы на вопрос 1
shurshur
@shurshur
В модель внесены изменения, но не произведены миграции:

python manage.py makemigrations
python manage.py migrate
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы